IDR installation help
1
0
Entering edit mode
7 weeks ago
Ezra • 0

I am seeking installation assistance. I have tried twice to install IDR.

I first tried python 3 setup.py. install as instructed in the manual. I received the following error:

[Errno 2] No such file or directory: 'Library/Python/3.8/site-packages/test-easy-install-53208.write-test' The installation directory you specified (via --install-dir, --prefix, or the disutils default setting was: /Library/Python/3.8/site-packages/ This directory does not currently exist. Please create it and try again, or choose a different installation directory (using the -d or --install-dir option)

Following I realized my python site-packages are in my home directory . /User/myhomedir/Library/Python/3.8/lib/python/site-packages

I added this to my python path and attempted the install again. This time specifying the prefix python3 setup.py install --prefix=/User/myhomedir/Library/Python/3.8/lib/python/site-packages .

The install was again unsuccessful and I got this error

You are attempting to install a package to a directory that is not on PYTHONPATH and which Python does not read ".pth" files from. THe installation directory you specified (via --install-dir, --prefix or the distutils defuault setting) was: /Users/myhomedir/Library/Python/3.8/lib/python/site-packages/lib/python3.8/site-packages/ and your PYTHONPATH environment variable currently contains: ':/Users/myhomedir/Library/Python/3.8/lib/python/site-packages'

Could you provide any assistance/ provide explanation.

error IDR installation • 286 views
ADD COMMENT
0
Entering edit mode

I think "--prefix" is to specify the directory where lib locates? So it should be "/User/myhomedir/Library/Python/3.8/"

ADD REPLY
0
Entering edit mode
6 weeks ago
Ezra • 0

Hi. Thanks for your reply. I got it sorted

ADD COMMENT

Login before adding your answer.

Traffic: 2505 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6